public static interface Web3jEndpointBuilderFactory.Web3jBuilders
| Modifier and Type | Method and Description |
|---|---|
default Web3jEndpointBuilderFactory.Web3jEndpointBuilder |
web3j(String path)
Web3j Ethereum Blockchain (camel-web3j)
Interact with Ethereum nodes using web3j client API.
|
default Web3jEndpointBuilderFactory.Web3jEndpointBuilder |
web3j(String componentName,
String path)
Web3j Ethereum Blockchain (camel-web3j)
Interact with Ethereum nodes using web3j client API.
|
default Web3jEndpointBuilderFactory.Web3jEndpointBuilder web3j(String path)
web3j:nodeAddress
Path parameter: nodeAddress (required)
Sets the node address used to communicatepath - nodeAddressdefault Web3jEndpointBuilderFactory.Web3jEndpointBuilder web3j(String componentName, String path)
web3j:nodeAddress
Path parameter: nodeAddress (required)
Sets the node address used to communicatecomponentName - to use a custom component name for the endpoint
instead of the default namepath - nodeAddressApache Camel